#! /usr/bin/perl

use warnings;
use strict;
use CGI;

use MVHub::AuthAccount;
use MVHub::Common;
use MVHub::Utils::DB;
use MVHub::DieHandler;

my $cgi    = new CGI;
my $cookie = MVHub::AuthAccount::init_session(
    caller_id => $MVHub::Common::ADMIN_ID );
my $dbh = MVHub::Utils::DB::get_dbh( $ENV{MV_CONFIG_FILE} );

my $jscript = <<END;
    function doAction( button )
    {
        var form = button.form;
        var rm = button.name;
        var agency_id = form.agency_id.value;
        if ( rm == 'remove_agency' ) {
            if (!confirm("Are you sure you want to delete the agency: " + 
                         form.agency_id.options[form.agency_id.selectedIndex].text + "?")) return false;
            // Remove the agency from the list
            form.agency_id.options[form.agency_id.selectedIndex] = null;
        }
        parent.main_frame.location.replace("/cgi-bin/mvhub/agency.pl?rm=" + rm + "&agency_id=" + agency_id );
    }
END

print $cgi->header( -cookie => $cookie ),
    $cgi->start_html(
    -title  => 'Admininstrative Toolbar',
    -class  => 'Menu',
    -script => {
        -language => 'JavaScript',
        -code     => $jscript
    },
    -style => { -src => '/all/css/admin.css' }
    ),
    $cgi->start_form(),
    '<table summary= "navigation" cellspacing="2" cellpadding="0" width="100%"><tr><td>',
    $cgi->a(
    { href => "/html/admin/home.shtml", TARGET => "main_frame" }, "Home"
    ),
    ' | ',
    $cgi->a(
    {   href   => "/cgi-bin/mvhub/admin/admin_reports.pl",
        TARGET => "main_frame"
    },
    "Reports"
    ),
    ' | ',
    $cgi->a(
    { href => "/cgi-bin/mvhub/agency_form.pl", TARGET => "main_frame" },
    "Add a New Agency" ),
    '</td><td align="right">',
    '<a href="/cgi-bin/mvhub/logout.pl" target="_top" ',
    q|onclick="alert('You must close all your browser windows to fully logout.')"|,
    '>Log out</a><br/></td></tr></table>',
    MVHub::Common::get_agency_select_list($dbh),

    $cgi->button(
    -name    => 'display_agency_home',
    -value   => 'Fetch Agency',
    -onClick => 'doAction(this)'
    ),

    $cgi->button(
    -name    => 'remove_agency',
    -value   => 'Remove Agency',
    -onClick => 'doAction(this)'
    ),

    $cgi->endform(), $cgi->end_html();

