#!/usr/bin/perl 

# A very rudimentary and probably short-lived script for spitting out
# query results into HTML pages.

use warnings;
use strict;

use CGI;
use CGI::Carp;
use Date::Calc;
use DBI;
use DBIx::XHTML_Table;
use HTML::Template;
use MVHub::Utils::ConfigSimple;
use MVHub::Common;

use MVHub::Reports;

my $dbh = MVHub::Utils::DB::get_dbh( $ENV{MV_CONFIG_FILE} );
my $cfg
    = MVHub::Utils::ConfigSimple::create_config_from( $ENV{MV_CONFIG_FILE} );
my $max_notifications = $cfg->param('NOTIFICATION.max_notifications');

my @REPORTS = (

    # Use this as a template:
    #     {
    #         title => '',
    #         sql   => qq/
    #
    #         /
    #     },
    {   title => 'Agencies not responding to email or with bad contact email',
        comment =>
            'If the agency or program contact does not update their records after 4 emails we pick up the phone',
        sql => MVHub::Utils::DB::get_sql_select_statement(
            'AGENCY_X_DATE_OF_OLDEST_RECORD'),
        bind_values => [ $max_notifications, $max_notifications ]
    },
    {   title => 'Agencies with Missing or Unknown Contact Information',
        sql   => MVHub::Utils::DB::get_sql_select_statement(
            'AGENCY_X_AGENCIES_WITH_MISSING_CONTACT_INFO')
    },
    {   title => 'Programs with Missing or Unknown Contact Information',
        sql   => MVHub::Utils::DB::get_sql_select_statement(
            'AGENCY_PROGRAM_X_PROGRAM_WITH_MISSING_CONTACT_INFO')
    }
);    # @REPORTS

{
    my $cgi           = CGI->new();
    my $report_number = $cgi->param('report_number');
    my $dbh           = MVHub::Utils::DB::get_dbh( $ENV{MV_CONFIG_FILE} );

    my $output;
    print $cgi->header,
        $cgi->start_html(
        -title => 'Administrative Reports',
        -style => { -src => '/all/css/admin.css' }
        ),
        $cgi->h1('Administrative Reports');

    if ( !defined $report_number ) {
        $output = MVHub::Reports::print_report_list( $cgi,
            '/cgi-bin/mvhub/admin/admin_reports.pl', @REPORTS );
    }
    else {
        $output = MVHub::Reports::print_report( $dbh, $cgi, $report_number,
            '/cgi-bin/mvhub/admin/admin_reports.pl', @REPORTS );
    }
    print $output;
    print $cgi->end_html;
}

