#! /usr/bin/perl

# PURPOSE: output robots.txt that tells google not to index test data
#          but **to** index production data on production site

use MVHub::Utils::ConfigSimple;

use strict;
use warnings;

print "Content-type: text/html\n\n";

my $cfg
    = MVHub::Utils::ConfigSimple::create_config_from( $ENV{MV_CONFIG_FILE} );
my $allow_robots = $cfg->param('SITE.allow_robots');

{    #main

    if ( lc($allow_robots) eq 'no' ) {
        print disallow_robots_txt();
    }
    else {
        print allow_robots_txt();
    }
}

sub disallow_robots_txt {

    my $txt = << "TEXT";
# Generated by robots-txt.pl
User-agent: *
Disallow: /
TEXT
    return $txt;
}

sub allow_robots_txt {

    my $txt = << "TEXT";
# Generated by robots-txt.pl
User-agent: *
Disallow: /reports/
Disallow: /html/reports.shtml
TEXT
    return $txt;
}
