#!/usr/bin/perl 

# Purpose: dump public data from mvhub database to .csv file

#TODO add service area to agency dump
#TODO add program table to dump
use strict;
use warnings;

use MVHub::Common;
use Text::xSV;
use MVHub::Utils::DB;
my $OUTPUT_FILENAME = '/tmp/agency_dump.csv';

{    #main

    my $dbh
        = MVHub::Utils::DB::get_dbh('/var/www/mvhub/production/conf/nsp.conf')
        or die "failed to get database handle";

    my @columns = get_column_list();
    my $columns = join ',', @columns;

    my $sql = MVHub::Utils::DB::get_sql_select_statement('AGENCY_X_COLUMNS');

    my $agencies_rayref = $dbh->selectall_arrayref($sql);

    my $csv = Text::xSV->new(
        filename => $OUTPUT_FILENAME,
        header   => \@columns
    );
    $csv->print_header();
    foreach my $agency_rayref (@$agencies_rayref) {
        foreach my $clean_me (@$agency_rayref) {
            $clean_me =~ s/[\n\r]/ /gms if defined $clean_me;
        }

        $csv->print_row(@$agency_rayref);
    }

}    #main

sub get_column_list {
    return qw/
        agency_name            agency_alias
        last_updated           agency_id
        address1
        address2               city
        state                  zip
        main_phone             toll_free_phone
        hotline                fax
        website                email
        mission hours          other_info
        mail_address1          mail_address2
        mail_city              mail_state
        mail_zip               chief
        title                  parent_organization
        resource_library       resource_library_description
        meeting_space          meeting_space_description
        staff_internet_access  tty_tdd
        /;

}
__DATA__
