#!/bin/bash

# It will be very, very difficult to run scripts from 
# the command line without first doing a:

# 	 source env_vars_setup.sh 
# or:
# 	. env_vars_setup.sh

# ./env_vars_setup.sh won't work

# if these change be sure to update
#       MVHub::Utils::die_if_missing_env_vars()
#       mvhub-apache2.conf

# Only set environment variables if they have not 
# already been set.

if [ "$MV_CONFIG_FILE" == "" ]
  then
    export BASE_DIR=/var/www/mvhub
    export SITE=nsp

    export MV_CONFIG_FILE=$BASE_DIR/$USER/conf/$SITE.conf
    export MV_TEST_CONFIG_FILE=$BASE_DIR/$USER/link-to-live-code/lib-mvhub/t/conf/all.conf

    #Directories for perl to look for libraries
    export PERL5LIB=$BASE_DIR/$USER/link-to-live-code/lib-mvhub/lib/
    export PERL5LIB=$PERL5LIB:$BASE_DIR/$USER/link-to-live-code/app-mvhub/t/lib
    export PERL5LIB=$PERL5LIB:$BASE_DIR/$USER/link-to-live-code/lib-mvhub/t/lib

    export HTML_TEMPLATE_ROOT=$BASE_DIR/$USER/link-to-live-code/app-mvhub/conf/templates/html

    # helpful for development but not needed for production
    export PATH=$PATH:$BASE_DIR/$USER/link-to-live-code/app-mvhub/project-tools/bin/
fi
