BEGIN;
INSERT INTO version_log (version, note ) 
	VALUES (5,'adding two functions to return concatenated synonyms');

/* Returns the concatenation of its 2 arguments, separated by a comma and a space. */
CREATE OR REPLACE FUNCTION  our_concat(text, text) RETURNS text AS 
$$
    SELECT $1 || ', ' || $2;
 $$  LANGUAGE sql
  STABLE
  RETURNS NULL ON NULL INPUT;


/* Returns a concatenation of all of the values in a grouped column, 
   delimited by a comma and a space. 
*/
DROP AGGREGATE IF EXISTS our_aggregate_concat(text);

CREATE AGGREGATE our_aggregate_concat (
    sfunc = our_concat,
    basetype = text,
    stype = text
);
COMMIT;
