#! /usr/bin/perl

# ---------------------------------------------------------------
# Loads synonym sets into the database from a file (either passed in
# as an argument or using the default, defined below). Any pre-existing
# synonyms in the database are first dropped.
#
# This script must be run from the installed site (i.e. not from
# your cvs projects path).
#
# Each line in the synonym file is a space-delimited list of one-word
# synonyms.
#
# Since the synonym_stem table has no dependents (i.e.
# other tables that reference its data), this script may be re-run on
# on an existing site.
# ---------------------------------------------------------------

use strict;
use warnings;

use MVHub::Common;
use MVHub::Synonyms;

my $SYNONYM_FILE = '../../config/guide/synonym.list';

if ( @ARGV == 1 ) {
    ( -f $ARGV[0] and -r $ARGV[0] ) or die "File $ARGV[0] not found/readable";
    $SYNONYM_FILE = $ARGV[0];
}

open( SYNONYM_FILE, $SYNONYM_FILE )
    or die "Cannot open $SYNONYM_FILE for reading";
my @synonym_lines = <SYNONYM_FILE>;
close SYNONYM_FILE;

MVHub::Synonyms::submit_synonyms_to_db(@synonym_lines);

print "Successfully loaded synonyms into database.\n";

