#!/usr/bin/perl

# Test which compares all the config files(all.conf,mvh.conf,nsp.conf and template.conf) to check the differences in the config keys.

use strict;
use warnings;
use Config::Simple;
use Carp;
use Test::More;
use Test::WWW::Mechanize;
use Test::Differences;

my $base_dir = "/var/www/mvhub/$ENV{USER}/";

my @conf_files = (
    "$base_dir/conf/nsp.conf",
    "$base_dir/conf/mvh.conf",
    "$base_dir/link-to-live-code/app-mvhub/project-tools/templates/template.conf",
    "$base_dir/link-to-live-code/lib-mvhub/t/conf/all.conf",
);

{
    plan tests => ( scalar @conf_files ) * ( scalar @conf_files );
    my %conf_files_hash;

    foreach my $file (@conf_files) {
        my %config;
        Config::Simple->import_from( $file, \%config );
        my @config_keys = sort( keys %config );
        $conf_files_hash{$file} = \@config_keys;
    }
    foreach my $file_a ( keys %conf_files_hash ) {
        foreach my $file_b ( keys %conf_files_hash ) {
            eq_or_diff(
                $conf_files_hash{$file_a},
                $conf_files_hash{$file_b},
                "$file_a matches $file_b"
            );
        }
    }
}

