#!/usr/bin/perl -w

use strict;
use warnings;
use English '-no_match_vars';

use Test::More;

BEGIN {
    use FindBin qw($Bin);
    chdir $Bin;
}
use TestHelper qw/get_files/;

my @files = get_files(qw/*.inc *.tmpl *.shtml/);

# we use HTML::Template for more than html files

@files = grep { !m#conf/templates/text# } @files;

eval ' use Test::HTML::Lint; ';
if ($@) {
    plan skip_all => 'need Test::HTML::Lint';
}
else {
    plan tests => scalar @files;
}

{

    # enable slurp mode , take whole file  don't read line by line
    local $INPUT_RECORD_SEPARATOR;
    foreach my $file (@files) {

        open my $in, '<', $file
            or die "$! failed to open $file";
        my $html = <$in>;
        close $in or die "$! failed to close $file";
        $file =~ s|^.*t/\.\./||;
        html_ok( $html, "html ok: $file" );
    }
}
