#!/usr/bin/perl 

use strict;
use warnings;

use Test::More;
use Test::WWW::Mechanize;

use TestHelper;

{    #main
    TestHelper::run_submit_forms_ok(
        get_forms_sub => \&get_forms,
        prefix        => 'nsp',
        )
}    # main

sub get_forms {
    my $host = shift
        or die 'missing param: $host';

    my @forms = (
        {   'url'              => "http://$host/cgi-bin/mvhub/guide.pl",
            'expected_content' => 'organizations matching',
            'number'           => '1',
            'button'           => 'submit',
            'tests_to_skip'    => '',
            'skip_reason'      => '',
            'fields'           => {
                'rm'            => 'show_search_results',
                'search_phrase' => 'nscap'
            },
        },
    );    # @forms
    return @forms;
}

