#!/usr/bin/perl 

use strict;
use warnings;

use Test::More;
use Test::WWW::Mechanize;

use TestHelper;

{    #main
    TestHelper::run_submit_forms_ok(
        get_forms_sub => \&get_forms,
        prefix        => 'nsp',
        )
}    # main

sub get_forms {
    my $host = shift
        or die 'missing param: $host';

    my @forms = (
        {   'url' => "http://$host/cgi-bin/mvhub/contact_form.pl",
            'expected_content' => 'Your message has been sent',
            'number'           => '1',
            'button'           => '_submit',
            'skip_reason'      => '',
            'tests_to_skip'    => '',
            'fields'           => {
                'liame'    => 'chester@tester.com',
                'name'     => 'Ceasar Testa',
                'question' => 'Did this work?'
            }
        }
    );    # @forms
    return @forms;
}
