#!/usr/bin/perl 

use strict;
use warnings;
use Carp;
use Test::More;
use Test::WWW::Mechanize;

use TestHelper;

{    #main

    my $mech      = Test::WWW::Mechanize->new();
    my $forms_ref = get_forms();
    my @forms     = @{$forms_ref};
    plan tests => ( scalar @forms );
    foreach my $form (@forms) {
        my $fields_ref = @$form{fields};
        my %fields     = %$fields_ref;
        $mech->get( $$form{url} );
        $mech->set_fields(%fields);
        $mech->stuff_inputs();
        $mech->click( $$form{button} );
        $mech->content_contains( $$form{expected_content} )
            or diag $mech->content();
    }

}    #main

sub get_forms {

    my $host  = TestHelper::get_test_website_name('nsp');
    my @forms = (
        {   url              => "http://$host/cgi-bin/mvhub/contact_form.pl",
            expected_content => "You must enter a valid value",
            number           => '1',
            button           => '_submit',
            fields           => {},
        },

        {   url              => "http://$host/",
            expected_content => "requested URL's length exceeds",
            number           => '1',
            button           => 'submit',
            fields           => { 'rm' => 'show_search_results' },
        },

        {   url              => "http://$host/cgi-bin/mvhub/guide.pl",
            expected_content => "requested URL's length exceeds",
            number           => '1',
            button           => 'submit',
            fields           => { 'rm' => 'show_search_results' },
        },

        {   url              => "http://$host/",
            expected_content => "requested URL's length exceeds",
            number           => '1',
            button           => 'submit',
            fields           => { 'rm' => 'show_search_results' },
        },

        {   url              => "http://$host/cgi-bin/mvhub/guide.pl",
            expected_content => "requested URL's length exceeds",
            number           => '1',
            button           => 'submit',
            fields           => { 'rm' => 'show_search_results' },
        },

    );
    return \@forms;
}
