#!/usr/bin/perl -w

use strict;
use warnings;

use Test::More;
use File::Basename;
use FindBin;

use TestHelper;

my %installed = (
    'setup/etc/apache2/sites-enabled/mvhub.conf' =>
        '/etc/apache2/sites-enabled/mvhub.conf',
    'setup/etc/postgresql/8.1/main/postgresql.conf' =>
        '/etc/postgresql/8.1/main/postgresql.conf'
);

my @hosts = qw/groundhog/;

my $num_tests = scalar keys %installed;
plan tests => $num_tests;

SKIP: {
    my $host = `hostname`;
    chomp $host;
    my $run_on_this_host = grep /$host/, @hosts;
    if ($run_on_this_host) {

        foreach my $file ( keys %installed ) {
            my $basename = File::Basename::basename $file;
            my $no_difference
                = TestHelper::no_difference( "$FindBin::Bin/../$file",
                $installed{$file} );
            is( $no_difference,, 1,
                "installed version of $basename is in version control" );
        }
    }
    else {
        skip ' only run this test on certain hosts ', $num_tests;
    }

}
