#!/usr/bin/perl -w

use strict;
use warnings;
use Test::More;
use File::stat;
use Test::Differences;

my $mvh_error_log = "/var/www/mvhub/$ENV{USER}/log/mvh/error.log";
my $nsp_error_log = "/var/www/mvhub/$ENV{USER}/log/nsp/error.log";
my @logs          = ( $nsp_error_log, $mvh_error_log );

my $error_log_file_size = 0;
my $line;
my $file_size
    = "/var/www/mvhub/$ENV{USER}/link-to-live-code/app-mvhub/t/file_size.tmp";

foreach my $log (@logs) {
    my $sb = stat($log);
    $error_log_file_size += $sb->size;
}

open( SIZE, '<', $file_size ) or die "Can't read from the specified file: $!";
$line = <SIZE>;
close SIZE;

plan tests => 1;
my $test_name;

if ( $error_log_file_size > $line ) {
    my $diff = $error_log_file_size - $line;
    $test_name
        = "The error log file size is $diff bytes bigger after executing the tests ";
}
elsif ( $error_log_file_size < $line ) {
    my $diff = $line - $error_log_file_size;
    $test_name
        = "The error log file size is $diff bytes bigger before executing the tests ";
}

eq_or_diff( $error_log_file_size, $line, $test_name );
unlink $file_size;
