package MVHub::Reports;
use strict;
use warnings;

our ($VERSION) = '$Revision: 1740 $' =~ /([.\d]+)/xm;

use CGI;
use CGI::Carp;
use Date::Calc;
use DBI;
use DBIx::XHTML_Table;
use HTML::Template;
use MVHub::Common;

use base 'Exporter';
our @EXPORT_OK = qw(
    print_report_list
    print_report
);

sub print_report_list {
    my $cgi     = shift;
    my $path    = shift;
    my @reports = @_;
    my $output;

    for ( my $i = 0; $i < @reports; $i++ ) {
        $output
            .= "<a href='$path?report_number=$i'>"
            . $reports[$i]->{title}
            . "</a><br/><br/>\n";
    }
    return $output;
}

sub print_report {
    my ( $dbh, $cgi, $report_number, $path, @reports ) = @_;
    my $sth = $dbh->prepare( $reports[$report_number]->{sql} );
    my $output;

    if ( defined $reports[$report_number]->{bind_values} ) {
        my @bind_values = @{ $reports[$report_number]->{bind_values} };
        $sth->execute(@bind_values);
    }
    else {
        $sth->execute();
    }

    my $headers_aref = $sth->{'NAME'};
    foreach (@$headers_aref) {
        $_ = ucfirst($_);
        s/_(\w)/ \u\L$1/g;
    }
    my $rows_aref = $sth->fetchall_arrayref();

    my $table = DBIx::XHTML_Table->new( $rows_aref, $headers_aref );
    $table->modify( 'table' => { border => 1 } );

    $output = "<a href='$path'>Back to Report T.O.C.</a><br/>\n";
    $output .= "<h2>$reports[$report_number]->{title}</h2>\n";
    if ( $reports[$report_number]->{comment} ) {
        my $comment = $reports[$report_number]->{comment};
        $comment =~ s|\n|<br/>|g;
        $output .= "<p>$comment</p>\n";
    }
    $output .= $table->output() . "<br/>\n";
    $output .= ( scalar @$rows_aref ) . " records returned.<br/>\n";

    return $output;
}

