#!/usr/bin/perl -w

use strict;
use warnings;

use DBI;
use SQL::Library;
use Test::More;

use MVHub::Utils::ConfigSimple qw/create_config_from/;
use MVHub::Utils::DB qw/ get_dbh /;

use TestData qw/@agency @program/;
use TestHelper qw/ add_test_data create_sqlite_db /;

eval ' use Test::NoWarnings; ';
if ($@) {
    plan skip_all => 'Test::NoWarnings required for this test file';
}
else {
    plan tests => 3;
}

use_ok( 'MVHub::Utils', qw/die_if_missing_env_vars/ )
    or die "couldn't use MVHUb::Utils";

my $test_message;
my $result = 1;

###
$test_message = 'are env vars set';
###
eval { die_if_missing_env_vars(); };

is( $@, '', $test_message );
diag $@ if $@;

########### setup

{
    my $dbh = MVHub::Utils::DB::get_dbh( $ENV{MV_TEST_CONFIG_FILE} );

    TestHelper::create_sqlite_db($dbh)
        or die "failed to setup test database\n";
    TestHelper::add_test_data($dbh);
}
