#!/usr/bin/perl 

# PURPOSE: do a 'use MVHub::ModuleName' on all our produciton modules

use strict;
use warnings;
use Test::More;

eval ' use Test::NoWarnings; ';
plan skip_all => "Test::NoWarnings needed "
    if $@;

use TestHelper;
my @files = TestHelper::get_files('*.pm');

my @modules = get_modules(@files);

# +1 for Test::NoWarnings;
plan tests => scalar @modules + 1;

foreach my $module (@modules) {
    use_ok($module);
}

sub get_modules {

    # anything in lib but not in /t/
    my @raw_modules = grep { $_ =~ m/lib/ && $_ !~ m|/t/|; } @_;
    my @modules;

    foreach my $file (@raw_modules) {
        my $module;

        next if $file =~ m/blib/;

        #/lib/Foo.pm  ==> Foo
        if ( $file =~ m|lib/\w+\.pm$| ) {
            $module = join '::', ( split '/', $file )[-1];
            $module = ( split '\.', $module )[0];
            push @modules, $module;

        }    # lib/Bar/Foo.pm ==> Bar::Foo
        elsif ( $file =~ m|lib/\w+/\w+\.pm$| ) {
            $module = join '::', ( split '/', $file )[ -2 .. -1 ];
            $module = ( split '\.', $module )[0];
            push @modules, $module;
        }    # lib/Bar/Baz/Foo.pm ==> Bar::Baz::Foo
        elsif ( $file =~ m|lib/\w+/\w+/\w+\.pm$| ) {
            $module = join '::', ( split '/', $file )[ -3 .. -1 ];
            $module = ( split '\.', $module )[0];
            push @modules, $module;
        }
        else {
            warn "\n'$file'\n not matched \n";
        }
    }    # foreach

    @modules = sort @modules;
}

