#!/usr/bin/perl -w

use strict;
use warnings;
use Test::NoWarnings;

# EDIT
use Test::More tests => 3;
use CGI;
use MVHub::AgencyAccount;

# return ->run() output instead of sending to stdout
$ENV{CGI_APP_RETURN_ONLY} = 1;

my @methods = qw/
    cgiapp_postrun
    cgiapp_prerun
    display_agency_home
    display_agency_report
    do_login
    has_expired
    ql
    redirect
    remove_agency
    request_password
    _send_password_reminder
    setup
    show_login_page
    /;

my $test_name;
my $result = 1;

###
$test_name = 'can run all methods of AgencyAccount class';
###
can_ok( 'MVHub::AgencyAccount', @methods );

###
$test_name = 'can create new AgencyAccount';
###
my $object = MVHub::AgencyAccount->new();
isa_ok( $object, 'MVHub::AgencyAccount', $test_name );

