#!/usr/bin/perl -w

use strict;
use warnings;

# EDIT
use Test::More tests => 3 + 1;    # +1 for NoWarnings
use Test::Exception;
use Test::NoWarnings;

use MVHub::AuthAccount qw/
    _die_loudly_if_dir_not_writable
    /;

my $test_message;

$test_message = 'die if file not dir';
dies_ok { _die_loudly_if_dir_not_writable('bin/sh') } $test_message;

$test_message = 'die if dir not writable';
dies_ok { _die_loudly_if_dir_not_writable('/dev') } $test_message;

$test_message = 'lives if dir and writable';
lives_ok { MVHub::AuthAccount::_die_loudly_if_dir_not_writable('/tmp/') }
$test_message;

__END__
