#!/usr/bin/perl -w

use strict;
use warnings;

use Test::More tests => 4 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Common;

my $result           = 1;
my %arguments_passed = (
    '01 odd num of args' => {
        arg    => [ 1, 2, 3 ],
        expect => '1!DELIM!2!DELIM!3',
    },

    '02 even num of args' => {
        arg    => [ 1, 2 ],
        expect => '1!DELIM!2',
    },

    '03 just one arg' => {
        arg    => [1],
        expect => '1',
    },

    '04 no args' => {
        arg    => [],
        expect => '',
    }
);

for my $each_arg ( sort keys %arguments_passed ) {
    my @results      = $arguments_passed{$each_arg}{'arg'};
    my $expected     = $arguments_passed{$each_arg}{'expect'};
    my $test_message = "Fields delimited  with " . substr $each_arg, 3;
    $result = MVHub::Common::delimit_field(@results);
    is( $result, $expected, $test_message );
}
