#!/usr/bin/perl -w

use strict;

use Test::More tests => 2;

BEGIN {
    use FindBin qw($Bin);
    chdir $Bin;

    # _should_ override exit so it doesn't actually exit
    *CORE::GLOBAL::exit = sub { print "EXIT"; };
    use_ok('MVHub::DieHandler') or die "couldn't use MVHub::DieHandler";
}

# print STDOUT and STDERR to scalars: easier to read
my ( $stdout, $stderr );

close STDOUT;
open STDOUT, ">", \$stdout;

close STDERR;
open STDERR, ">", \$stderr;

eval { die("It was fate..."); };
if ($@) {
    print("Error occured: program died\n");
}

close STDOUT;
open STDOUT, ">&SAVEOUT";

ok( $stdout eq "Error occured: program died\n",
    "DieHandler leaves die() in eval alone"
);

