#!/usr/bin/perl 

use strict;
use warnings;

use Test::More tests => 5 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use TestData qw/@agency @program/;

use MVHub::Notifications qw/
    create_notifications_using
    die_if_record_count_mismatch
    /;

my $test_message;
$test_message = 'lives with array reference parameter';
lives_ok { create_notifications_using( \@TestData::agency ) } $test_message;

$test_message = 'dies without array reference parameter';
dies_ok { create_notifications_using(1) } $test_message;

$test_message = 'dies without hash reference parameter';
dies_ok { create_notifications_using( \@TestData::agency, 1 ) } $test_message;

$test_message = 'dies on too many parameters';
dies_ok { create_notifications_using(qw/1 2 3 4/) } $test_message;

####

$test_message = 'same number of records in input and output';

my %test_notifications = create_notifications_using( \@TestData::program );
%test_notifications
    = create_notifications_using( \@TestData::agency, \%test_notifications );

lives_ok {
    die_if_record_count_mismatch(
        'input_01' => \@TestData::agency,
        'input_02' => \@TestData::program,
        'output'   => \%test_notifications
    );
}
$test_message;
