#!/usr/bin/perl 

use strict;
use warnings;

use Test::More tests => 3 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use TestData qw/ notifications_href /;

use MVHub::Utils::ConfigSimple qw/ create_config_from /;
use MVHub::Notifications qw/ create_standard_notification_emails_with
    get_email_constants_from /;

my $test_message;

####
$test_message = 'dies without hash reference parameter';
####
dies_ok { create_standard_notification_emails_with( 1, 2, 3 ) } $test_message;

####
$test_message = 'dies on bad template file parameter';
####
my $cfg = MVHub::Utils::ConfigSimple::create_config_from(
    $ENV{MV_TEST_CONFIG_FILE} );
my $email_constants_href
    = MVHub::Notifications::get_email_constants_from($cfg);
my %test_notifications = %$TestData::notifications_href;

my $template_file = "BAD_FILE.tmpl";

dies_ok {
    create_standard_notification_emails_with( $template_file,
        $email_constants_href, %test_notifications );
}
$test_message;

####
$test_message = 'lives with good parameters';
####
my $template_path = $cfg->param('ABSOLUTE_PATH.template_text_dir');
$template_file = "$template_path/reminder_email_01.tmpl";

lives_ok {
    create_standard_notification_emails_with( $template_file,
        $email_constants_href, %test_notifications );
}
$test_message;
