#!/usr/bin/perl 

use strict;
use warnings;

use Test::More tests => 2 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use TestData qw/program notifications_href/;

use MVHub::Notifications qw/
    die_if_record_count_mismatch
    /;

my $test_message;

##
$test_message = 'lives if input and output counts match';
##
lives_ok {
    die_if_record_count_mismatch(
        'input_01' => \@TestData::agency,
        'input_02' => \@TestData::program,
        'output'   => $TestData::notifications_href,
    );
}
$test_message;

##
$test_message = 'dies if input and output counts mismatch';
##
dies_ok {
    die_if_record_count_mismatch(
        'input_01' => [],
        'input_02' => \@TestData::program,
        'output'   => $TestData::notifications_href,
    );
}
$test_message;
