#!/usr/bin/perl 

use strict;
use warnings;
use Carp;

# EDIT
use Test::More tests => 3 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Notifications qw/ get_expired_records /;
use MVHub::Utils::DB qw/ get_dbh /;

my $cfg
    = MVHub::Utils::ConfigSimple::create_config_from( $ENV{MV_CONFIG_FILE} );
my $dbh = MVHub::Utils::DB::get_dbh( $ENV{MV_CONFIG_FILE} );

my $test_message;

$test_message = 'dies on too few parameters';
dies_ok { get_expired_records(1) } $test_message;

$test_message = 'dies on too many parameters';
dies_ok { get_expired_records( 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ) }
$test_message;

$test_message = 'lives on eight parameters';
lives_ok {
    get_expired_records(
        dbh               => $dbh,
        max_notifications => '4',
        expire_date       => '01-01-2009',
        query_name        => 'AGENCY_X_EXPIRED_RECORDS'
    );
}
$test_message;

unlink( $cfg->param('DATABASE.database_name') );
