#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;    # +1 for NoWarnings
use Test::Warn;
use Test::NoWarnings;
use Test::Exception;

use MVHub::Notifications qw/ increment_reminder_levels_for /;
use TestData qw/ notifications_href /;

my $test_message;

###
$test_message = 'die with missing parameters';
###
dies_ok { increment_reminder_levels_for(1) } $test_message;

###
$test_message = 'Warn if max_notifications is less than reminder_count';
###
warnings_like {
    increment_reminder_levels_for( $TestData::notifications_href, 4 );
}
[qr/SHOULDN\'T SEE THIS:/], $test_message;

###
$test_message = 'Reminder count incremented properly';
###
my @results;
foreach my $unique_id ( sort keys %$TestData::notifications_href ) {
    push @results,
        $$TestData::notifications_href{$unique_id}{'reminders_sent'};
}
is_deeply( \@results, [ 1, 2, 3, 4, 5 ], $test_message );
