#!/usr/bin/perl

use strict;
use warnings;

use HTML::Template;

use Test::More tests => 4 + 1;    # +1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::Warn;

use TestData qw/ notifications_href /;
use MVHub::Notifications qw/ shift_off_notifications_with_reminder_count /;

my $test_message;

###
$test_message = 'dies when not passed 2 parameters';
###
dies_ok { shift_off_notifications_with_reminder_count(1) } $test_message;

###
$test_message = 'dies when 2nd parameter not a hash ref';
###
dies_ok { shift_off_notifications_with_reminder_count( 1, 2 ) } $test_message;

###
$test_message = 'values moved to new hash';
###
my %check_against;
my %test_notifications = %$TestData::notifications_href;

foreach my $unique_id ( keys %test_notifications ) {
    if ( $test_notifications{$unique_id}{reminders_sent} == 0 ) {
        $check_against{$unique_id} = $test_notifications{$unique_id};
    }
}
my %results
    = shift_off_notifications_with_reminder_count( 0, \%test_notifications );
is_deeply( \%check_against, \%results, $test_message );

###
$test_message = 'All values removed from original hash';
###
shift_off_notifications_with_reminder_count( 1, \%test_notifications );
shift_off_notifications_with_reminder_count( 2, \%test_notifications );
shift_off_notifications_with_reminder_count( 3, \%test_notifications );
shift_off_notifications_with_reminder_count( 4, \%test_notifications );
shift_off_notifications_with_reminder_count( 5, \%test_notifications );
is( scalar(%test_notifications), 0, $test_message );
