#!/usr/bin/perl 

use warnings;
use strict;
use English '-no_match_vars';

use Config::Simple;
use Test::Exception;
use Test::More tests => 3;

use MVHub::Utils::ConfigSimple qw/ create_config_from /;

BEGIN {
    use FindBin qw($Bin);
    chdir $Bin;
}

my $cfg = new Config::Simple( syntax => 'ini' );
my $test_name;

####
$test_name = "dies if missing filename parameter";
####
dies_ok { create_config_from() } $test_name;

####
$test_name = "dies if filename parameter is not valid config file";
####
dies_ok { create_config_from($PROGRAM_NAME) } $test_name;

####
$test_name = "lives if passed in a valid config filename";
####
lives_ok { create_config_from( $ENV{MV_CONFIG_FILE} ) } $test_name;

