#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;
use Test::NoWarnings;
use Test::Exception;

use MVHub::Utils::DB qw/get_sql_insert_statement/;

my $test_message;

###
$test_message = 'dies when no SQL query is passed in';
###
dies_ok { get_sql_insert_statement(); } $test_message;

###
$test_message = 'dies when invalid SQL query is passed in';
###
dies_ok { get_sql_insert_statement('NOT_REAL_SQL_QUERY'); } $test_message;

###
$test_message = 'lives when valid SQL query is passed in';
###
lives_ok { get_sql_insert_statement('AGENCY_X_REQUIRED_FIELDS'); }
$test_message;
