#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for no warnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_add_calculable_values() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_add_calculable_values(1) } $test_message;

###
$test_message = 'dies when missing 3rd parameter';
###
dies_ok { MVHub::Utils::Setup::_add_calculable_values( 1, 2 ) } $test_message;

###
$test_message = 'lives with 3 valid parameters';
###
my $config = new Config::Simple( $ENV{MV_TEST_CONFIG_FILE} );
lives_ok {
    MVHub::Utils::Setup::_add_calculable_values( $config, 'user', 'nsp' );
}
$test_message;

