#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_add_site_specific_values() } $test_message;

###
$test_message = 'passed in value added to the config';
###
my $test_config = new Config::Simple( $ENV{MV_TEST_CONFIG_FILE} );
my %test_values_to_add = ( 'TEST.key' => 'test_value', );

my $result_cfg = MVHub::Utils::Setup::_add_site_specific_values( $test_config,
    %test_values_to_add );
is( $result_cfg->param('TEST.key'),
    $test_values_to_add{'TEST.key'},
    $test_message
);
