#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

{

    package MVHub::Utils::Setup;

    use subs qw/prompt/;

    package main;

    no warnings;
    *MVHub::Utils::Setup::prompt = sub {
        $_ = 'test_value';
    };
    use warnings;
}
my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_add_user_generated_values() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_add_user_generated_values(1) } $test_message;

###
$test_message = 'Key not in config file added to config';
###
my $test_config        = new Config::Simple( $ENV{MV_TEST_CONFIG_FILE} );
my %test_values_to_add = (
    'TEST.key'               => 'test_value',
    'DATABASE.database_user' => 'test_value',
);

my $result_cfg
    = MVHub::Utils::Setup::_add_user_generated_values( $test_config,
    $test_config, 0, qw/TEST.key DATABASE.database_user/ );
is( $result_cfg->param('TEST.key'),
    $test_values_to_add{'TEST.key'},
    $test_message
);

###
$test_message = 'Key already in config not added';
###
isnt(
    $result_cfg->param('DATABASE.database_user'),
    $test_values_to_add{'DATABASE.database_user'},
    $test_message
);
