#!/usr/bin/perl

use strict;
use warnings;

use English '-no_match_vars';

use Test::More tests => 2 + 1;    # + 1 for no warnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies on bad file';
###
dies_ok { MVHub::Utils::Setup::_append_to_file( 'bad_file_to_open.bad', '' ) }
$test_message;

###
$test_message = 'Lines are appended to the file';
###
my $append_success = 1;
my $test_file      = "/tmp/_append_to_file_$PID.txt";

open( my $TEST, '>', $test_file );
print $TEST "This is a test file, it can be deleted\n";
close $TEST;

MVHub::Utils::Setup::_append_to_file( $test_file, "Appended line\n" );

open( $TEST, "<", $test_file );
my @lines = <$TEST>;
close $TEST;

is( $lines[-1], "Appended line\n", $test_message );

unlink $test_file;
unlink "$test_file.tmp";

