#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::MockObject;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_db_exists() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_db_exists(1) } $test_message;

###
$test_message = 'returns 1 if db exists';
###
my $mock_dbh = Test::MockObject->new();
$mock_dbh->mock(
    'selectall_arrayref',
    sub {
        ( my $not_used, my $not_used_2, my @db_name ) = @_;
        if   ( $db_name[1] eq 'true' ) { return ['true'] }
        else                           { return [] }
    }
);

is( MVHub::Utils::Setup::_db_exists( $mock_dbh, 'true' ), '1',
    $test_message );

###
$test_message = 'returns 0 if db does not exist';
###
is( MVHub::Utils::Setup::_db_exists( $mock_dbh, 'false' ),
    '0', $test_message );
