#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::MockObject;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_db_user_has_needed_roles() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_db_user_has_needed_roles(1) } $test_message;

###
$test_message = 'returns 1 if user has needed roles';
###
my $mock_dbh = Test::MockObject->new();
$mock_dbh->mock(
    'selectall_arrayref',
    sub {
        ( my $not_used, my $not_used_2, my @user_name ) = @_;
        if ( $user_name[1] eq 'true' ) {
            return [ { 'rolcreaterole' => '1', 'rolcreatedb' => '1' } ];
        }
        else { return [] }
    }
);

is( MVHub::Utils::Setup::_db_user_has_needed_roles( $mock_dbh, 'true' ),
    '1', $test_message );

###
$test_message = 'returns 0 if user does not have needed roles';
###
is( MVHub::Utils::Setup::_db_user_has_needed_roles( $mock_dbh, 'false' ),
    '0', $test_message );
