#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::MockModule;
use Config::Simple;
use DBI;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_get_dbh_for_template1_db() } $test_message;

###
$test_message = 'returns valid dbh from config file';
###
my $test_config = new Config::Simple( $ENV{MV_CONFIG_FILE} );

my $mock_dbh = DBI->connect( 'DBI:Mock:', '', '' );
my $mock_module = new Test::MockModule('DBI');
$mock_module->mock(
    'connect',
    sub {
        return $mock_dbh;
    }
);
my $test_dbh = MVHub::Utils::Setup::_get_dbh_for_template1_db($test_config);
ok( ref $test_dbh eq 'DBI::db', $test_message );

