#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_merge_conf_objects() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_merge_conf_objects(1) } $test_message;

###
$test_message = 'merges conf files correctly';
###
my $test_cfg_1 = new Config::Simple( syntax => 'ini' );
my $test_cfg_2 = new Config::Simple( syntax => 'ini' );
$test_cfg_1->param( 'TEST.key_1', 'key_1_value' );
$test_cfg_1->param( 'TEST.key_2', '' );
$test_cfg_1->param( 'TEST.key_3', 'key_3_value' );

$test_cfg_2->param( 'TEST.key_1', 'key_1_value' );
$test_cfg_2->param( 'TEST.key_4', 'key_4_value' );

$test_cfg_2
    = MVHub::Utils::Setup::_merge_conf_objects( $test_cfg_1, $test_cfg_2 );
my %expected = (
    'TEST.key_1' => 'key_1_value',
    'TEST.key_2' => 'BAD_MISSING',
    'TEST.key_3' => 'key_3_value'
);
my %got = $test_cfg_2->vars();
is_deeply( \%got, \%expected, $test_message );
