#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

our $PASS_TEST = 1;

BEGIN {

    package MVHub::Utils::Setup;
    use subs qw/ readpipe /;

    package main;

    *MVHub::Utils::Setup::readpipe = sub {
        if ($PASS_TEST) {
            return 'COMMIT';
        }
        else {
            return 'ROLLBACK';
        }
    };
}
use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'lives when COMMIT is returned';
###
my @test_scripts = ('test');

lives_ok { MVHub::Utils::Setup::_run_sql_db_update_scripts(@test_scripts) }
$test_message;

###
$test_message = 'dies when ROLLBACK is returned';
###
$PASS_TEST = 0;
dies_ok { MVHub::Utils::Setup::_run_sql_db_update_scripts(@test_scripts) }
$test_message;
