#!/usr/bin/perl

use strict;
use warnings;

use English '-no_match_vars';

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::_string_already_in_file() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::_string_already_in_file(1) } $test_message;

###
$test_message = 'returns true if host exists in file';
###
my $test_filename = "/tmp/_string_already_in_file_$PID.txt";
open my $test_fh, ">", $test_filename or die "open error: $!";
print $test_fh "This line contains the word true";
close $test_fh or die "close error: $!";

ok( MVHub::Utils::Setup::_string_already_in_file( 'true', $test_filename ),
    $test_message );

###
$test_message = 'returns false if host does not exist in file';
###
ok( !MVHub::Utils::Setup::_string_already_in_file( 'false', $test_filename ),
    $test_message );
unlink $test_filename;
