#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::Warn;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::add_apache_config() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::add_apache_config(1) } $test_message;

{

    package MVHub::Utils::Setup;

    use subs qw/ _append_to_file _possible_dup_line /;

    package main;

    my $fail = 1;

    no warnings;
    *MVHub::Utils::Setup::_append_to_file = sub {
        return 0;
    };
    *MVHub::Utils::Setup::_string_already_in_file = sub {
        return $fail;
    };
    use warnings;

    ###
    $test_message = 'outputs warning when duplicate line found';
    ###
    warning_like { MVHub::Utils::Setup::add_apache_config('test') }
    qr/skipping append/, $test_message;

    ###
    $test_message = 'no warning when no duplicate is found';
    ###
    $fail = 0;
    lives_ok { MVHub::Utils::Setup::add_apache_config('test') } $test_message;

}

