#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::Warn;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::apply_database_updates_for() } $test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::apply_database_updates_for(1) } $test_message;

{

    package MVHub::Utils::Setup;

    use subs qw/ _determine_user_config_filename_from
        get_db_version
        get_sql_db_update_scripts
        _set_db_ENV_vars
        _run_sql_db_update_scripts /;

    package main;

    my $fail = 1;

    no warnings;
    *MVHub::Utils::Setup::_determine_user_config_filename_from = sub {
        return 1;
    };
    *MVHub::Utils::Setup::get_db_version = sub {
        return 1;
    };
    *MVHub::Utils::Setup::get_sql_db_update_scripts = sub {
        return 1;
    };
    *MVHub::Utils::Setup::_set_db_ENV_vars = sub {
        return 1;
    };
    *MVHub::Utils::Setup::_run_sql_db_update_scripts = sub {
        return 1;
    };

    use warnings;
SKIP: {
        skip 'Not implemented', 2;
        ###
        $test_message = 'outputs warning when duplicate line found';
        ###
        warning_like {
            MVHub::Utils::Setup::apply_database_updates_for( 'test', 'nsp' );
        }
        qr/skipping append/, $test_message;

        ###
        $test_message = 'no warning when no duplicate is found';
        ###
        lives_ok {
            MVHub::Utils::Setup::apply_database_updates_for( 'test', 'nsp' );
        }
        $test_message;
    }
}

