#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 4 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::MockObject;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::determine_user_config_filename_from() }
$test_message;

###
$test_message = 'dies when missing 2nd parameter';
###
dies_ok { MVHub::Utils::Setup::determine_user_config_filename_from(1) }
$test_message;

###
$test_message = 'dies when missing 3rd parameter';
###
dies_ok { MVHub::Utils::Setup::determine_user_config_filename_from( 1, 2 ) }
$test_message;

###
$test_message = 'lives when passed correct parameters';
###
my $test_cfg = new Config::Simple( $ENV{MV_TEST_CONFIG_FILE} );
lives_ok {
    MVHub::Utils::Setup::determine_user_config_filename_from( 'test', 'nsp',
        $test_cfg );
}
$test_message;

