#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;
use Test::Warn;
use Test::MockObject;
use Config::Simple;

use MVHub::Utils::Setup;

my $test_message;

###
$test_message = 'dies when missing 1st parameter';
###
dies_ok { MVHub::Utils::Setup::get_db_version() } $test_message;

###
$test_message = 'returns non-zero if table exists';
###
my $table_exists = 1;
my $mock_dbh     = Test::MockObject->new();
$mock_dbh->mock(
    'selectrow_array',
    sub {
        my $test_val = shift;
        if   ($table_exists) { return (1); }
        else                 { return 0; }
    }
);

my $version = MVHub::Utils::Setup::get_db_version($mock_dbh);
ok( $version, $test_message );

###
$test_message = 'returns zero if table does not exist';
###
$table_exists = 0;
$version      = MVHub::Utils::Setup::get_db_version($mock_dbh);
ok( !$version, $test_message );
