#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 5 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Utils::Setup;

my $test_message;
###
$test_message = 'dies with no username';
###
dies_ok { MVHub::Utils::Setup::get_dev_home_files() } $test_message;

###
$test_message = 'dies with no email_address';
###
dies_ok { MVHub::Utils::Setup::get_dev_home_files('test') } $test_message;

###
$test_message = 'dies with no launchpad_login';
###
dies_ok {
    MVHub::Utils::Setup::get_dev_home_files( 'test', 'test@testing123.net' );
}
$test_message;

###
$test_message = 'dies with invalid username';
###
dies_ok {
    MVHub::Utils::Setup::get_dev_home_files( 'test', 'test@testing123.net',
        'test_lp' );
}
$test_message;

###
$test_message = 'lives with valid username';
###
lives_ok {
    MVHub::Utils::Setup::get_dev_home_files( 'omacneil',
        'test@testing123.net', 'test_lp' );
}
$test_message;

