#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 3 + 1;    # + 1 for NoWarnings
use Test::NoWarnings;
use Test::Exception;

use MVHub::Utils::Setup;

my $test_message;
###
$test_message = 'dies with no base directory';
###
dies_ok { MVHub::Utils::Setup::get_dirs_with() } $test_message;

###
$test_message = 'dies with no username';
###
dies_ok { MVHub::Utils::Setup::get_dirs_with('test') } $test_message;

###
$test_message = 'directories returned contain parameters passed in';
###
my @result = MVHub::Utils::Setup::get_dirs_with( 'test', 'test_username' );
like( $result[0]->{dir}, qr/test\/test_username/, $test_message );

