#!/usr/bin/perl -w

use strict;
use warnings;

# EDIT
use Test::More tests => 4;
use Test::NoWarnings;
use Test::Warn;
use MVHub::Utils;

my $test_name;

###
$test_name = "die if a MV_ env var is missing";
###

# save ENV
my $placeholder = $ENV{MV_TEST_CONFIG_FILE};
delete $ENV{MV_TEST_CONFIG_FILE};

eval { MVHub::Utils::die_if_missing_env_vars(); };
like( $@, qr/MV_TEST_CONFIG_FILE/, $test_name );

# restore ENV
$ENV{MV_TEST_CONFIG_FILE} = $placeholder
    if $placeholder;

###
$test_name = "don't die if all MV_ env vars are there";
###
$ENV{MV_TEST_CONFIG_FILE} = 1;
$ENV{PERL5LIB}            = 1;
$ENV{HTML_TEMPLATE_ROOT}  = 1;
eval { MVHub::Utils::die_if_missing_env_vars(); };
is( $@, '', $test_name );

###
$test_name = "warn if an extra MV_ env var";
###

$ENV{MV_TEST_CONFIG_FILE} = 1;
$ENV{MV_foo}              = 1;
warning_like { MVHub::Utils::die_if_missing_env_vars() } qr/MV_foo/,
    $test_name;
