#!/usr/bin/perl -w

use strict;
use warnings;
use MVHub::Utils qw/generate_quick_login_url/;

use Test::More tests => 4 + 1;    # +1 for NoWarnings
use Test::NoWarnings;

my $test_message;
my $got      = 1;
my $expected = 1;

###
###
$test_message
    = 'website == www.example.com and agency_id == 123456 and quick_login = 7890abcd';
$got = generate_quick_login_url( 'www.example.com', '123456', '7890abcd' );
$expected = 'http://www.example.com/123456/7890abcd';
is( $got, $expected, $test_message );

$test_message = 'die when id param is undefined';
$got          = eval { generate_quick_login_url('another_example.com') };
$expected     = undef;
is( $got, $expected, $test_message );

$test_message = 'die when website param is undefined';
$got          = eval { generate_quick_login_url() };
$expected     = undef;
is( $got, $expected, $test_message );

$test_message = 'die when ql param is undefined';
$got          = eval { generate_quick_login_url( 'example.com', '1234' ) };
$expected     = undef;
is( $got, $expected, $test_message );

