#!/usr/bin/perl -w

use strict;
use Test::More tests => 9;
use MVHub::Utils;

is( MVHub::Utils::parse_zip_code(''),     undef, 'in: "" , out: undef' );
is( MVHub::Utils::parse_zip_code(0),      undef, 'in: 0, out: undef' );
is( MVHub::Utils::parse_zip_code(undef),  undef, 'in: undef , out: undef' );
is( MVHub::Utils::parse_zip_code('0'),    undef, "in: '0', out: undef" );
is( MVHub::Utils::parse_zip_code(55555),  55555, "in 55555, out: 55555" );
is( MVHub::Utils::parse_zip_code(555551), 55555, "in: 555551,  out: 55555" );
is( MVHub::Utils::parse_zip_code(4),      undef, "4 in,  undef out" );
is( MVHub::Utils::parse_zip_code('00000'),
    '00000', "in: '00000', out: '00000'" );
is( MVHub::Utils::parse_zip_code('01234'),
    '01234', "in: '01234', out: '01234'" );
