#!/usr/bin/perl -w

use strict;

# use Test::More tests => 4 +1; # +1 for NoWarnings;
use Test::More tests => 6 + 1;    # +1 for NoWarnings;
use Test::NoWarnings;
use MVHub::Utils qw/undelimit_field/;

my ( $in, $out, $test_name, $got, $expected );

######
$test_name = 'input is not defined';

$in       = undef;
$expected = undef;
$got      = undelimit_field($in);
is( $got, $expected, $test_name );

######
$test_name = 'input has no elements';

$in       = "";
$expected = "";
$got      = undelimit_field($in);
is( $got, $expected, $test_name );

######
$test_name = 'input > 1 element returned array ref';

$in  = 'a!DELIM! b!DELIM!';
$got = undelimit_field($in);
ok( ref $got eq 'ARRAY', $test_name );

#####
$test_name = 'input has 1 element and no !DELIM!';

$in       = "a";
$expected = "a";
$got      = undelimit_field($in);
is( $got, $expected, $test_name );

######
$test_name = 'input has 2 element with (1) !DELIM!';

$in       = 'a!DELIM!b';
$got      = undelimit_field($in);
$expected = [ 'a', 'b' ];
is_deeply( $got, $expected, $test_name );

######
$test_name = 'input has 1 element with (1) !DELIM!';

$in       = 'a!DELIM!';
$got      = undelimit_field($in);
$expected = 'a';
is( $got, $expected, $test_name );

